/***************************************************************************
 *                              RasMol 2.7.2                               *
 *                                                                         *
 *                                 RasMol                                  *
 *                 Molecular Graphics Visualisation Tool                   *
 *                             28 August 2000                              *
 *                                                                         *
 *                   Based on RasMol 2.6 by Roger Sayle                    *
 * Biomolecular Structures Group, Glaxo Wellcome Research & Development,   *
 *                      Stevenage, Hertfordshire, UK                       *
 *         Version 2.6, August 1995, Version 2.6.4, December 1998          *
 *                   Copyright (C) Roger Sayle 1992-1999                   *
 *                                                                         *
 *                  and Based on Mods by Arne Mueller                      *
 *                      Version 2.6x1, May 1998                            *
 *                   Copyright (C) Arne Mueller 1998                       *
 *                                                                         *
 *          and Based on Mods by Gary Grossman and Marco Molinaro          *
 *                   Version 2.5-ucb, November 1995                        *
 *                   Version 2.6-ucb, November 1996                        *
 *  Enhanced by the MultiChem Facility, University of California, Berkeley *
 *       Copyright (C) UC Regents/ModularCHEM Consortium 1995, 1996        *
 *                                                                         *
 *        Version 2.7.0, 2.7.1, 2.7.2 Mods by Herbert J. Bernstein         *
 *           Bernstein + Sons, P.O. Box 177, Bellport, NY, USA             *
 *                      yaya@bernstein-plus-sons.com                       *
 *          2.7.0 March 1999, 2.7.1 June 1999, 2.7.2 August 2000           *
 *              Copyright (C) Herbert J. Bernstein 1998-2000               *
 *                                                                         *
 * Please read the file NOTICE for important notices which apply to this   *
 * package. If you are not going to make changes to RasMol, you are not    * 
 * only permitted to freely make copies and distribute them, you are       * 
 * encouraged to do so, provided you do the following:                     *
 *   * 1. Either include the complete documentation, especially the file   *
 *     NOTICE, with what you distribute or provide a clear indication      *
 *     where people can get a copy of the documentation; and               *
 *   * 2. Please give credit where credit is due citing the version and    * 
 *     original authors properly; and                                      *  
 *   * 3. Please do not give anyone the impression that the original       *   
 *     authors are providing a warranty of any kind.                       *
 *                                                                         *
 * If you would like to use major pieces of RasMol in some other program,  *
 * make modifications to RasMol, or in some other way make what a lawyer   *
 * would call a "derived work", you are not only permitted to do so, you   *
 * are encouraged to do so. In addition to the things we discussed above,  *
 * please do the following:                                                *
 *   * 4. Please explain in your documentation how what you did differs    *
 *     from this version of RasMol; and                                    *
 *   * 5. Please make your modified source code available.                 *
 *                                                                         *
 * This version of RasMol is not in the public domain, but it is given     *
 * freely to the community in the hopes of advancing science. If you make  *
 * changes, please make them in a responsible manner, and please offer us  *
 * the opportunity to include those changes in future versions of RasMol.  *
 ***************************************************************************/

/* multiple.h
 $Log: multiple.h,v $
 Revision 1.4  2000/08/26 18:12:57  yaya
 Updates to header comments in all files

 */

/* Original file header: */
/**********************************************************************
  Copyright (c) 1995 UC Regents, ModularCHEM Consortium

  multiple.h
  Multiple Molecule Support for Rasmol
  
  Author:      Gary Grossman (garyg@cory.EECS.Berkeley.EDU)
  Last Update: November 9, 1995
 **********************************************************************/

#define MAX_MOLECULES 5
#define MAX_MOLNAME 25

void InitialiseMultiple( void );
void SwitchMolecule( int );
void SelectMolecule( int );
void ZapMolecule( void );
void DrawMoleculeList( void );

#ifdef MULTIPLE_C

int   MoleculeIndex = 0;
char *Molecules[MAX_MOLECULES];
char  MolName[MAX_MOLECULES][MAX_MOLNAME];
int   NumMolecules = 0;

#else

extern int   MoleculeIndex;
extern int   NumMolecules;
extern char *Molecules[MAX_MOLECULES];
extern char  MolName[MAX_MOLECULES][MAX_MOLNAME];

#endif
